Bug 529254 - Review Request: i3 - Improved tiling window manager
Review Request: i3 - Improved tiling window manager
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Osowski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 529445
  Show dependency treegraph
 
Reported: 2009-10-15 15:19 EDT by Simon
Modified: 2014-06-26 07:53 EDT (History)
5 users (show)

See Also:
Fixed In Version: 3.d-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-22 00:00:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
th0br0: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Simon 2009-10-15 15:19:08 EDT
Spec URL:
http://cassmodiah.fedorapeople.org/i3/i3.spec

SRPM URL:
http://cassmodiah.fedorapeople.org/i3/i3-3.c-1.fc11.src.rpm

Description:
Key features of i3 are correct implementation of Xinerama (workspaces are 
assigned to virtual screens, i3 does the right thing when attaching new 
monitors), XrandR support (not done yet), horizontal and vertical columns 
(think of a table) in tiling. Also, special focus is on writing clean, readable 
and well documented code. i3 uses xcb for asynchronous communication with X11, 
and has several measures to be very fast.

Please be aware i3 is primarily targeted at advanced users and developers.
Comment 2 Christoph Wickert 2009-10-16 20:41:57 EDT
Is this a pre- or post release? From the version 3.c I guess it's a post-release, but from the release 0.2 it must be a pre-release. Huh?
Comment 4 Andreas Osowski 2009-11-26 12:04:32 EST
Koji F13 scratch build: (Status Builds)

Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format 
%{name}.spec.
 [x] Package meets the Packaging Guidelines
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: 
	Koji F12 scratch build: (Status Builds)
	http://koji.fedoraproject.org/koji/taskinfo?taskID=1832416

 [] Rpmlint output:
     Source RPM:
 	-
     Binary RPM(s):
 	i3.i686: W: executable-stack /usr/bin/i3
 [x] Package is not relocatable.
 [x] Buildroot is correct
	 %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined   in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: BSD
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file,     containing the text of the license(s) for the
package is included in %doc.
 [!] Spec file is legible and written in American English.
	Please be aware i3 is primarily targeted at advanced users and developers.
	should rather be:
	Please be aware that i3 is primarily targeted at advanced users and developers.
 [!] Sources used to build the package matches the upstream source, as provided 
     in the spec URL.
	SHA1SUM of package: 4201fcea46e23e75eaa70bff5bd2bd0abe9aba19
	SHA1SUM of download: 0ebfd82125a067730135e9e4fdda7ee8c4877482	
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that 
     are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI 
     application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [!] Latest version is packaged.
	Latest version is 3.d
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains 
     translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     (see Koji scratch build)
 [x] Package should compile and build into binary rpms on all supported 
     architectures.
     Tested on: F12
 [x] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.  

Remaining issues:
Fix description
Fix source!
Package 3.d ?

If you can, fix the rpmlint output.
Comment 5 Simon 2009-11-26 15:13:43 EST
(In reply to comment #4)
> Remaining issues:
> Fix description
i did it, but i haven't create a changelog entry for this.

> Fix source!
Please download the source defined in source0 and not another one.

> Package 3.d ?
Done (I already built it but haven't update BZ for it.) 
 
> If you can, fix the rpmlint output.  
I can't

http://cassmodiah.fedorapeople.org/i3/i3-3.d-1.fc12.src.rpm
Comment 6 Andreas Osowski 2009-11-26 15:23:21 EST
********************
***** APPROVED *****
********************
Comment 7 Simon 2009-11-27 14:55:20 EST
Thanks for the review

New Package CVS Request
=======================
Package Name: i3
Short Description: improved tiling window manager
Owners: cassmodiah
Branches: F-12
Comment 8 Jason Tibbitts 2009-12-01 13:48:28 EST
CVS done.
Comment 9 Fedora Update System 2009-12-02 15:08:37 EST
i3-3.d-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/i3-3.d-1.fc12
Comment 10 Fedora Update System 2009-12-04 18:59:14 EST
i3-3.d-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update i3'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12700
Comment 11 Fedora Update System 2009-12-22 00:00:26 EST
i3-3.d-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Christoph Wickert 2010-03-20 16:17:34 EDT
This package DOES NOT follow the naming guidelines. Non numeric values are not allowed in the version, they belong into the release. See
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Non-Numeric_Version_in_Release
Now Simon needs to introduce an epoch to get this fixed.
Comment 13 Simon 2010-06-23 08:11:03 EDT
Package Change Request
======================
Package Name: i3
New Branches: EL-6
Owners: cassmodiah
Comment 14 Jason Tibbitts 2010-06-26 17:22:55 EDT
CVS done (by process-cvs-requests.py).
Comment 15 Christopher Meng 2014-06-25 22:48:15 EDT
Package Change Request
======================
Package Name: i3
New Branches: epel7
Owners: cicku
Comment 16 Jon Ciesla 2014-06-26 07:53:20 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.